| Home | Libraries | People | FAQ | More

##### string::c_str

Return the underlying character array directly.

###### Synopsis

    char const*
    c_str() const;

###### Description

Returns a pointer to the underlying array serving as storage. The value returned is such that the range `{c_str(), c_str() + size()}` is always a valid range, even if the container is empty.

###### Complexity

Constant.

###### Remarks

The value returned from this function is never equal to `nullptr`.